@Echo Off
rem Copyright (C) The Organization for the Advancement of
rem Structured Information Standards [OASIS] (2001). All Rights Reserved.

rem This document and translations of it may be copied and furnished to
rem others, and derivative works that comment on or otherwise explain it or
rem assist in its implementation may be prepared, copied, published and
rem distributed, in whole or in part, without restriction of any kind,
rem provided that the above copyright notice and this paragraph are included
rem on all such copies and derivative works. However, this document itself
rem may not be modified in any way, such as by removing the copyright notice
rem or references to OASIS, except as needed for the purpose of developing
rem OASIS specifications, in which case the procedures for copyrights
rem defined in the OASIS Intellectual Property Rights document must be
rem followed, or as required to translate it into languages
rem other than English.

rem The limited permissions granted above are perpetual and
rem will not be revoked by OASIS or its successors or assigns.

rem This document and the information contained herein is provided on an
rem "AS IS" basis and OASIS DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
rem INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
rem HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
rem MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

rem Delete any pre-existing output files
if exist err-cat.xml del err-cat.xml

rem  Validate the catalogue and collection of catalogues without errors
call xml msftcat.xml
call xml msftsub.xml
call xsl msftsub.xml ..\..\SYSTEM\SUPPORT\valcat.xsl output.xml
if exist output.xml type output.xml

rem  Validate the catalogue and collection of catalogues with errors
rem call xml testbad.xml
rem call xml subsbad.xml
rem call xsl subsbad.xml ..\..\SYSTEM\SUPPORT\valcat.xsl err-bad.xml
rem type err-bad.xml

rem  End
